Bug 206820 - Review Request: perl-Term-ProgressBar - Provide a progress meter on a standard terminal
Review Request: perl-Term-ProgressBar - Provide a progress meter on a standar...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/Term-Prog...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-09-16 19:19 EDT by Chris Weyl
Modified: 2010-09-10 14:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 20:24:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-09-16 19:19:16 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-Term-ProgressBar-2.09-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Term-ProgressBar.spec

Description:
Term::ProgressBar provides a simple progress bar on the terminal, to let
the user know that something is happening, roughly how much stuff has been
done, and maybe an estimate at how long remains.
Comment 1 Jason Tibbitts 2006-09-19 19:17:08 EDT
* source files match upstream:
   440dfd04fe51a12d314e9adf2445f04a  Term-ProgressBar-2.09.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Term::ProgressBar) = 2.09
   perl-Term-ProgressBar = 2.09-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Carp)
   perl(Class::MethodMaker) >= 1.02
   perl(Fatal)
   perl(POSIX)
   perl(base)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=8, Tests=99, 11 wallclock secs ( 0.60 cusr +  0.19 csys =  0.79 CPU)
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2006-09-19 20:24:57 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching (FC-5)
+Close bug

Thanks for the review!
Comment 3 Mark Chappell 2010-09-10 14:08:15 EDT
Package Change Request
======================
Package Name: perl-Term-ProgressBar
New Branches: EL-5 EL-6
Owners: tremble

cweyl has previously expressed that he is happy for others to request EPEL
branches
Comment 4 Kevin Fenzi 2010-09-10 14:35:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.